std::mem_fun_t< _Ret, _Tp >(3cxx)

NAME
std::mem_fun_t< _Ret, _Tp > - One of the adaptors for member pointers.

SYNOPSIS

Inherits std::unary_function< _Tp *, _Ret >.

  Public Types

typedef _Tp * argument_type
argument_type is the type of the argument
typedef _Ret result_type
result_type is the return type

  Public Member Functions

mem_fun_t (_Ret(_Tp::*__pf)())
_Ret operator() (_Tp *__p) const

Detailed Description

  template<typename _Ret, typename _Tp>
class std::mem_fun_t< _Ret, _Tp >" One of the adaptors for member pointers.

Definition at line 938 of file stl_function.h.

Member Typedef Documentation

  typedef _Tp * std::unary_function< _Tp * , _Ret >::argument_type [inherited]

argument_type is the type of the argument

Definition at line 108 of file stl_function.h.

  typedef _Ret std::unary_function< _Tp * , _Ret >::result_type [inherited]

result_type is the return type

Definition at line 111 of file stl_function.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.